commit 734d7dae428a17647d49ed2734ccc1d7d9c9a3b5
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Jun 18 16:09:08 2024 +0100

    libstdc++: Undeprecate std::pmr::polymorphic_allocator::destroy (P2875R4)
    
    This member function was previously deprecated, but that was reverted by
    P2875R4, approved earlier this year in Tokyo. Since it's not going to be
    deprecated in C++26, and so presumably not removed, there is no point in
    giving deprecated warnings for C++23 mode.
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/memory_resource.h (polymorphic_allocator::destroy):
            Remove deprecated attribute.
    
    (cherry picked from commit c3e237338eb7ffc90f3cc8d32a3971d17f6d0b31)

diff --git a/libstdc++-v3/include/bits/memory_resource.h b/libstdc++-v3/include/bits/memory_resource.h
index 022371245c1..5f50b296df7 100644
--- a/libstdc++-v3/include/bits/memory_resource.h
+++ b/libstdc++-v3/include/bits/memory_resource.h
@@ -305,7 +305,6 @@ namespace pmr
 #endif
 
       template<typename _Up>
-	_GLIBCXX20_DEPRECATED_SUGGEST("allocator_traits::destroy")
 	__attribute__((__nonnull__))
 	void
 	destroy(_Up* __p)

